Subject: Re: bug#10034: 24.0.91; max-specpdl-size error

From: [email-masked]
Date: Sat, 19 Nov 2011 00:32:05 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Tue, 15 Nov 2011 22:43:13 -0500
>> Cc: [email-masked]
>> 
>> > Please first try to:
>> >
>> >  rm lisp/window.elc; make
>> >
>> > just to make sure you're not seeing the recent "rebuild" problem.
>> 
>> I'm using the pre-built Emacs Windows build and don't have the
>> make utilities on this machine.
>> 
>> Presumably, this will suffice:
>> 
>>     emacs -batch -f batch-byte-compile lisp/window.el
>
> No, it will not.  window.elc is preloaded into the emacs.exe binary
> you have.  If you recompile window.el as above, it will not be used,
> unless you manually load it into Emacs:
>
>   M-x load-library RET window RET
>
> And then it will be used, but as soon as you restart Emacs, you will
> have to reload it again, or be left with the old version.

Thanks for the information.

I have a couple of questions about this:

1. Is there any way to determine that the .elc file that I have
   on-disk matches the preloaded .elc in the emacs.exe binary?

   Since I use the pre-built Emacs binary when on Windows, I presume
   that the .elc files I have on-disk were the ones loaded in the binary
   but I have no way of truely knowing unless I can query Emacs to tell
   me.

2. What are the preloaded .elc files?  Are they the ones from loadup.el?

   Can one ask the Emacs instance to compare the .elc file on-disk with
   the one that it was preloaded with to verify they are the same?

3. Can you startup Emacs to either ignore its (non-necessary) preloaded
   .elc files if the same file name (.el/.elc) resides on-disk or
   tell it to only use the files (.el/.elc) in the `load-path'
   and not what was preloaded?

Thanks.